package com.liang.service.impl;

import com.liang.entity.SysOperLog;
import com.liang.dao.SysOperLogDao;
import com.liang.service.SysOperLogService;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import javax.annotation.Resource;

/**
 * (SysOperLog)表服务实现类
 *
 * @author makejava
 * @since 2023-02-19 21:37:38
 */
@Service("sysOperLogService")
public class SysOperLogServiceImpl implements SysOperLogService {
    @Resource
    private SysOperLogDao sysOperLogDao;

    /**
     * 通过ID查询单条数据
     *
     * @param logId 主键
     * @return 实例对象
     */
    @Override
    public SysOperLog queryById(String logId) {
        return this.sysOperLogDao.queryById(logId);
    }

    /**
     * 分页查询
     *
     * @param sysOperLog  筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    @Override
    public Page<SysOperLog> queryByPage(SysOperLog sysOperLog, PageRequest pageRequest) {
        long total = this.sysOperLogDao.count(sysOperLog);
        return new PageImpl<>(this.sysOperLogDao.queryAllByLimit(sysOperLog, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param sysOperLog 实例对象
     * @return 实例对象
     */
    @Override
    public SysOperLog insert(SysOperLog sysOperLog) {
        this.sysOperLogDao.insert(sysOperLog);
        return sysOperLog;
    }

    /**
     * 修改数据
     *
     * @param sysOperLog 实例对象
     * @return 实例对象
     */
    @Override
    public SysOperLog update(SysOperLog sysOperLog) {
        this.sysOperLogDao.update(sysOperLog);
        return this.queryById(sysOperLog.getLogId());
    }

    /**
     * 通过主键删除数据
     *
     * @param logId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(String logId) {
        return this.sysOperLogDao.deleteById(logId) > 0;
    }
}
